
    //导航选中
    $("#nav" + navID).addClass("onnav");

//样式
$(".website_list dl dd:last").css("border-bottom", "0");

$(".Top .slide .a").hover(function () {
    $(this).removeClass("a");
}, function () {
    $(this).addClass("a");
})

$(".Top .slide_bg .slide").each(function () {
    $(this).attr("data-height", $(this).outerHeight(true));
})


$(".MainNav ul li").hover(function () {
    var _index = $(this).index(),
        dataheight = $(".Top .slide_bg .slide" + _index).attr("data-height");
    $(".Top .slide_bg .slide").stop().animate({ height: 0 }, 500)
    $(".Top .slide_bg .slide" + _index).stop().animate({ height: dataheight }, 500);
    $(".Top .slide_bg").stop().animate({ height: dataheight }, 500);
}, function () {
    $(".Top .slide").hover(function () {
        var dataheight = $(this).attr("data-height");
        $(".Top .slide_bg .slide").stop().animate({ height: 0 }, 500)
        $(this).stop().animate({ height: dataheight }, 500);
        $(".Top .slide_bg").stop().animate({ height: dataheight }, 500);
        return false;
    }, function () {
        $(".Top .slide_bg .slide").stop().animate({ height: 0 }, 500);
        $(".Top .slide_bg").stop().animate({ height: 0 }, 500);
    })
    $(".Top .slide_bg .slide").stop().animate({ height: 0 }, 500);
    $(".Top .slide_bg").stop().animate({ height: 0 }, 500);
})

    $(".Top .slide2 .left a").hover(function () {
        var _index = $(this).index();
        $(this).addClass("a_bg").siblings("a").removeClass("a_bg");
        $(".Top .slide2 .right .list").hide().eq(_index).show();
    })
$(".Top .slide3 .left a").hover(function () {
    var _index = $(this).index();
    $(this).addClass("a_bg").siblings("a").removeClass("a_bg");
    $(".Top .slide3 .right").hide().eq(_index).show();
})
$(".Top .slide6 .left a").hover(function () {
    var _index = $(this).index();
    $(this).addClass("a_bg").siblings("a").removeClass("a_bg");
    $(".Top .slide6 .right .list").hide().eq(_index).show();
})
$(".Top .slide7 .left a").hover(function () {
    var _index = $(this).index();
    $(this).addClass("a_bg").siblings("a").removeClass("a_bg");
    $(".Top .slide7 .right .list").hide().eq(_index).show();
})
$(".Top .slide8 .left a").hover(function () {
    var _index = $(this).index();
    $(this).addClass("a_bg").siblings("a").removeClass("a_bg");
    $(".Top .slide8 .right .list").hide().eq(_index).show();
})



    //this function do not use jquery for honner page?
    function GoSearchUrl() {
        var searchinput = document.getElementById("topkey");
        if (searchinput.value == "" || searchinput.value == "请输入关键字") {
            alert("请输入关键字！");
            searchinput.focus();
            return false;
        }
        if (searchinput.value.length > 50) {
            alert("输入的关键字字数不要过多！");
            searchinput.focus();
            return false;
        }
        CheckString(searchinput.value);
    }

function GoSreach(rs) {
    window.location = _basepaths + "search?title=" + encodeURIComponent(rs);
    return true;
}

function entersearch() {
    //alert(dd);
    var event = window.event || arguments.callee.caller.arguments[0];
    if (event.keyCode == 13) {
        GoSearchUrl();
    }
}

function CheckString(s) {
    var pattern = new RegExp("[`~!@#$^&*()=|{}':;',\\[\\].<>/?~！@#￥……&*（）—|{}【】‘；：”“'。，、？]")
    var rs = "";
    for (var i = 0; i < s.length; i++) {
        rs = rs + s.substr(i, 1).replace(pattern, '');
    }
    if (rs == "") {
        alert("不能输入特殊字符！");
        return false;
    }
    else {
        GoSreach(rs);
    }
}
